kickseed (0.63trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 05:25:57 +0000

kickseed (0.63) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 21 Sep 2018 23:44:19 +0200

kickseed (0.62) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Wed, 03 Feb 2016 05:54:42 +0100

kickseed (0.61) unstable; urgency=medium

  * Add HTTPS support, which will only work if d-i has been built with GNU
    wget (LP: #833994).  "url https://..." requires further work in at least
    choose-mirror before it will be usable.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2014 18:59:53 +0000

kickseed (0.60) unstable; urgency=low

  * Preseed netcfg/disable_autoconfig rather than deprecated
    netcfg/disable_dhcp (LP: #879605).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Nov 2013 12:23:31 +0000

kickseed (0.59) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.
  * Drop XC- from Package-Type field.

  [ Colin Watson ]
  * Move debian/source.lintian-overrides to preferred location of
    debian/source/lintian-overrides.

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:11:39 +0200

kickseed (0.58) unstable; urgency=low

  * Rebuild for xz udebs.

 -- Philipp Kern <pkern@debian.org>  Fri, 22 Jun 2012 23:08:43 +0200

kickseed (0.57) unstable; urgency=low

  * Disable kickseed for now when using the GTK frontend, as otherwise it
    starts up an initial X client which exits quickly and causes the Xserver
    to exit (LP: #939278).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Mar 2012 11:34:27 +0000

kickseed (0.56) unstable; urgency=low

  * Preseed partman-lvm/confirm_overwrite as well as partman-lvm/confirm.
  * Preseed partman-lvm/device_remove_lvm when confirming logvol results,
    since Kickstart doesn't have a separate control with a one-to-one
    correspondence to this (LP: #708548).
  * Don't perform an extra layer of backslash interpretation when reading
    lines from Kickstart files (LP: #715746).  Note that this may break some
    existing Kickstart files that tried to work around the previous
    behaviour; this seems like the lesser of two evils.
  * Allow ksdevice=bootif, with netcfg 1.63.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Jul 2011 16:02:55 +0100

kickseed (0.55) unstable; urgency=low

  * Preseed mirror/country to "manual" instead of "enter information
    manually"; support for the latter has been dropped (LP: #662931).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Nov 2010 23:56:04 +0000

kickseed (0.54) unstable; urgency=low

  * Add Vcs-Svn field.
  * Add notes about why templates are untranslatable.
  * Only preseed partman-lvm/confirm if the logvol command was used.
  * Preseed partman/confirm_nooverwrite as well as partman/confirm.
  * Be lenient if the Kickstart file author forgets the required space after
    '@' in a %packages section (LP: #419392).

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Mar 2010 23:49:22 +0000

kickseed (0.53) unstable; urgency=low

  * Implement 'halt' and 'poweroff'.
  * Override not-using-po-debconf Lintian tag. All our templates are
    intentionally untranslatable.
  * Drop no-standards-version-field override, which Lintian no longer emits
    for udebs.
  * Upgrade to debhelper v7.
  * Implement 'repo', with some Debian extensions to handle the sources.list
    format.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Aug 2009 15:23:12 +0100

kickseed (0.52) unstable; urgency=low

  [ Colin Watson ]
  * Fix exit code handling from ks_run_script.

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Jun 2009 22:05:24 +0200

kickseed (0.51) unstable; urgency=low

  * Add initial LVM support (LP: #120377). There are probably still some
    warts here.
  * Use new-style "-1" instead of a big number (1024 * 1024 * 1024) to
    indicate unlimited partition size in partman recipes, following
    partman-auto 84 and partman-auto-lvm 32.
  * Use my Ubuntu e-mail address in Uploaders, since I usually work on this
    on work time.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Feb 2009 23:54:50 +0000

kickseed (0.50) unstable; urgency=low

  * Use new mountmedia command, instead of mountfloppy.
  * load-floppy renamed to load-media.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 14:10:57 -0400

kickseed (0.49) unstable; urgency=low

  * Adjust 'bootloader --md5pass' for changes in grub-installer 1.31
    (LP: #221501).
  * Use 'sed -i' to change /target/etc/nsswitch.conf (thanks, Christer
    Edwards).

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Jun 2008 14:15:11 +0100

kickseed (0.48) unstable; urgency=low

  [ Colin Watson ]
  * Allow 'preseed' to take just two arguments, equivalent to an empty
    value.

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 11:05:25 -0200

kickseed (0.47) unstable; urgency=low

  * Set Maintainer to debian-boot.
  * Use in-target to run chrooted %post scripts.
  * Use /lib/partman/display.d rather than /lib/partman/auto.d.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Oct 2007 15:26:48 +0000

kickseed (0.46) unstable; urgency=low

  * Moved to d-i SVN; maintaining it here henceforth.
  * Update copyright dates.
  * Remove Ubuntu-specific hostname in setup/net.
  * Unbrand an Ubuntu-specific error message.
  * Remove some old base-config cruft.
  * The Ubuntu standard tasks are now just called 'standard', and this makes
    more sense for Debian too.

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Oct 2007 14:49:18 +0100

kickseed (0.45) gutsy; urgency=low

  * Make ksdevice=link equivalent to leaving out ksdevice, since that's
    netcfg's default behaviour.
  * Make ksdevice=bootif emit a warning and be equivalent to leaving out
    ksdevice for now. Once netcfg supports being preseeded with a MAC
    address, this can be supported.
  * Support 'part swap --recommended' (thanks, Rohit Kumar Mehta).
  * I'm not sure how swap partition preseeding ever worked, because the
    filesystem slot in the recipe is supposed to be "linux-swap", not
    "swap". Fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jun 2007 21:50:01 +0100

kickseed (0.44) feisty; urgency=low

  * Support --interpreter for %post scripts without --nochroot (pointed out
    by Jérôme Benois).
  * Fix broken %post argument parsing.
  * Run kickseed_post in test-kickseed again; this time, print a notice when
    a post-installation handler would be run.
  * Add Lintian override for no-standards-version-field; udebs don't need
    that.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Dec 2006 10:01:36 +0000

kickseed (0.43) feisty; urgency=low

  * Handle /dev/ prefix on clearpart --drives transparently.
  * Try to install fs-core-modules and fs-secondary-modules for ext2 and
    vfat support (udebs renamed in Ubuntu feisty).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Dec 2006 09:47:38 +0000

kickseed (0.42) feisty; urgency=low

  * 'clearpart' preseeds partman-auto/method, needed as of partman-auto 55.
  * finish-install.d/01kickseed: Provide a ks_log hook.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Nov 2006 15:24:27 +0000

kickseed (0.41) edgy; urgency=low

  * Move from /usr/lib/prebaseconfig.d to /usr/lib/finish-install.d.
  * Make 'reboot' preseed finish-install/reboot_in_progress as well as
    prebaseconfig/reboot_in_progress (closes: Malone #65561).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 22:30:44 +0100

kickseed (0.40) edgy; urgency=low

  * Handle Kickstart files with DOS line endings (see Malone #61576).
  * test-kickseed: Adjust mktemp call to work with busybox.
  * Make 'clearpart --all' write out a partman auto.d script to clear the
    first disk, since /dev/discs/disc0/disc isn't available any more and
    there's no single static alternative (closes: Malone #61576).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 20:30:23 +0100

kickseed (0.39) edgy; urgency=low

  * test-kickseed: Explicitly source kickseed.sh from current directory.
  * Update keyboard handling for console-setup; note that keymap names have
    changed from Dapper and earlier, and that layout_variant (e.g. in_guj)
    keymap names may be used (closes: Malone #61573).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 16:20:30 +0100

kickseed (0.38) edgy; urgency=low

  * Allow Kickstart commands and arguments to be separated by tabs as well
    as spaces (closes: Malone #49438).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Aug 2006 08:47:26 +0100

kickseed (0.37) edgy; urgency=low

  * Update %packages preseeding for pkgsel 0.07ubuntu1 (revive-tasksel).
    Issue a warning if exclusions are used, since they are no longer
    supported.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jul 2006 14:06:02 +0100

kickseed (0.36) edgy; urgency=low

  * Upload changes from dapper-updates to edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 17:22:25 +0100

kickseed (0.35.2) dapper-updates; urgency=low

  [Colin Watson]
  * Don't run kickseed_post in test-kickseed.

  [Scott James Remnant]
  * Fix passwd/root-login preseeding harder; additional instance of the
    fix for #48038.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 11 Jun 2006 17:22:59 +0100

kickseed (0.35.1) dapper-updates; urgency=low

  * Fix passwd/root-login preseeding (closes: Malone #48038).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Jun 2006 02:22:10 +0100

kickseed (0.35) dapper; urgency=low

  * Preseed passwd/root-login depending on whether the root password is
    disabled, to cope with user-setup 1.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 15:08:53 +0100

kickseed (0.34) dapper; urgency=low

  * setup/hd: Install disk-detect rather than hw-detect-full.
  * Adapt %packages handling to pkgsel.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jan 2006 22:50:32 +0000

kickseed (0.33) dapper; urgency=low

  * Fix %packages handling to account for names in aptitude patterns really
    being unanchored regular expressions.
  * Update crypted user and root password handling for passwd 1:4.0.13-5.
    This is incompatible with older versions of passwd.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Dec 2005 10:34:13 +0000

kickseed (0.32) dapper; urgency=low

  * Use log-output so that log messages go to syslog and are tagged as
    coming from kickseed.
  * Simplify prebaseconfig script.
  * Remove Standards-Version:, not applicable to udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Oct 2005 12:44:49 +0100

kickseed (0.31) breezy; urgency=low

  * Add "Ubuntu Standard" and "Kubuntu Standard" package groups, which
    install the ubuntu-standard and kubuntu-standard tasks respectively.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  7 Oct 2005 16:38:07 +0100

kickseed (0.30) breezy; urgency=low

  * Fix NFS mount error dialog.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 Aug 2005 18:29:31 +0100

kickseed (0.29) breezy; urgency=low

  * Update timezone to be able to cope with clock-setup and tzsetup udebs.
  * Display an error if we can't fetch the Kickstart file from HTTP/FTP, or
    if we can't mount the given NFS server.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 Aug 2005 15:04:13 +0100

kickseed (0.28) breezy; urgency=low

  * Make 'lang' preseed debian-installer/locale as well as preseed/locale,
    in order to work with localechooser >= 0.07.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jul 2005 17:23:27 +0100

kickseed (0.27) breezy; urgency=low

  * Use 'mount -o nolock' when retrieving Kickstart files over NFS, which is
    massively faster since we aren't running the usual userspace support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Jun 2005 19:05:02 +0100

kickseed (0.26) breezy; urgency=low

  * Implement device --opts, now that hw-detect supports it.
  * Implement bootloader --password and --md5pass options.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  6 Jun 2005 12:17:24 +0100

kickseed (0.25) breezy; urgency=low

  * Send stderr from %pre scripts to /var/log/messages.
  * Don't send %post stdout to /var/log/messages, and don't truncate that
    file!

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 May 2005 20:39:09 +0100

kickseed (0.24) breezy; urgency=low

  * Add native support for custom d-i preseeding. The syntax is 'preseed
    [--owner PACKAGE] KEY TYPE VALUE'. The owner package defaults to "d-i".

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 May 2005 16:42:34 +0100

kickseed (0.23) breezy; urgency=low

  * Execute %pre sections without redirecting stdin, so that it's possible
    to use debconf from them.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 May 2005 17:17:41 +0100

kickseed (0.22) breezy; urgency=low

  * Make sure %pre and %post scripts are executable, so that debconf can
    re-exec them.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 May 2005 10:35:08 +0100

kickseed (0.21) breezy; urgency=low

  * Make 'url' preseed second-stage mirror configuration too.
  * Replace $OPTARG with $2 everywhere; fixes 'clearpart --drives'.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2005 15:05:51 +0100

kickseed (0.20) breezy; urgency=low

  * Send warnings during installation to syslog, not stderr.
  * Fix handler arguments in the case where no arguments were passed to a
    command.
  * Fix langsupport to conform to Kickstart documentation and Anaconda.
    - If no non-option arguments were passed to langsupport, support all
      locales, per the Kickstart documentation. Yes, this will be slow. In
      that case, default to en_US.UTF-8 if there's no default set either,
      per Anaconda.
    - Otherwise, default to the first locale selected if there's no default
      set, per Anaconda.
  * Tolerate %pre and %post scripts exiting non-zero (log a warning rather
    than exiting).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2005 12:46:55 +0100

kickseed (0.19) hoary; urgency=low

  * Very basic package group support, mapping package groups to tasks. Any
    package group name not containing a space causes the task of the same
    name to be installed; as special cases, "Ubuntu Desktop" and "Kubuntu
    Desktop" install the ubuntu-desktop and kubuntu-desktop tasks
    respectively; any other package group name triggers a warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 13:50:52 +0000

kickseed (0.18) hoary; urgency=low

  * Preseed netcfg/wireless_essid_again for noninteractive network setup,
    required by netcfg 1.08ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2005 14:57:47 +0000

kickseed (0.17) hoary; urgency=low

  * Make setup/net only set questions if they aren't already flagged seen,
    to allow booting with something like 'ks=http://<server>/<path>
    netcfg/choose_interface=eth1'.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 00:03:26 +0000

kickseed (0.16) hoary; urgency=low

  * Copy chrooted %post scripts to /target before executing them.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Mar 2005 17:55:18 +0000

kickseed (0.15) hoary; urgency=low

  * Make 'xconfig --resolution' preseed xserver-xorg/config/display/modes
    rather than xserver-xorg/config/monitor/mode-list.
  * Add NIS authentication support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Mar 2005 16:19:55 +0000

kickseed (0.14) hoary; urgency=low

  * Preseed all console-keymaps-*/keymap questions, not just at.
  * Just warn on unrecognised commands, rather than dying.
  * Separate localechooser/supported-locales elements by ", ", not just " ".

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2005 18:47:49 +0000

kickseed (0.13) hoary; urgency=medium

  * Ignore empty return from kickseed_cmdline, to avoid trying to bring up
    the CD and the network early when booting without the ks= argument.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Mar 2005 20:37:22 +0000

kickseed (0.12) hoary; urgency=low

  * Fix kbd-chooser/method preseeding.
  * Use -o intr for NFS mounts.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Mar 2005 20:09:53 +0000

kickseed (0.11) hoary; urgency=low

  * Run depmod before modprobe in /lib/kickseed/setup/hd.
  * Add support for ks=nfs:<server>:/<path>. Requires busybox-cvs
    20040623-1ubuntu13 and nfs-modules udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 13:45:07 +0000

kickseed (0.10) hoary; urgency=low

  * Add support for ks=ftp://<server>/<path>.
  * Implement user --disabled (Ubuntu extension), to disable creating the
    initial user.
  * Implement rootpw --disabled (Ubuntu extension), to explicitly disable
    the root password.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2005 13:18:03 +0000

kickseed (0.9) hoary; urgency=low

  * Avoid unwanted expansion of $ in e.g. crypted passwords.
  * Implement user command; I've suggested it to Brent and Tammy Fox at Red
    Hat, but it's Ubuntu-specific for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Feb 2005 22:59:43 +0000

kickseed (0.8) hoary; urgency=low

  * Make partman automatically partition without confirmation when
    partitions have been defined.
  * Fix timezone preseeding syntax.
  * Attempt to handle case where no growing partitions have been defined
    more gracefully. Changes to partman-auto will be required to do this
    properly, I think.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Feb 2005 21:55:43 +0000

kickseed (0.7) hoary; urgency=low

  * Extra preseed for new Ubuntu keymap selector.
  * Implement ksdevice= to set the network interface used by netcfg.
  * Add support for ks=hd:<device>:/<file> to read a Kickstart file from a
    vfat or ext2 partition on an arbitrary device (although actually some
    other filesystems will probably work too). Requires anna 1.06ubuntu5.
  * Split out /proc/cmdline handling into /lib/kickseed/cmdline.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Feb 2005 11:26:18 +0000

kickseed (0.6) hoary; urgency=low

  * Merge file-kickseed and network-kickseed into initrd-kickseed. If
    reading a Kickstart file from CD-ROM or the network, install (using
    anna) and configure (using udpkg) the appropriate udebs first in order
    to make sure that the requested file is accessible.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Feb 2005 20:16:21 +0000

kickseed (0.5) hoary; urgency=low

  * Add a network-kickseed package to allow downloading Kickstart files from
    the network (only HTTP so far).
  * Make packages that use /usr/share/debconf/confmodule depend on
    cdebconf-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 10:24:54 +0000

kickseed (0.4) hoary; urgency=low

  * Make zerombr a no-op rather than dying.
  * Fix clearpart --initlabel.
  * "Implement" firewall --disabled/--disable.
  * Implement cdrom (a no-op, assuming that everyone using this will be
    booting with the cdrom initrd).
  * Implement clearpart --all, assuming for now that this means just the
    first disk; getting partman-auto to deal with multiple disks appears to
    be difficult. I'm not sure if this will work properly with e.g. USB
    installs.
  * Add a file-kickseed package to allow loading Kickstart files from CD-ROM
    or floppy disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Feb 2005 13:54:00 +0000

kickseed (0.3) hoary; urgency=low

  * Implement langsupport.
  * Implement skipx properly (by not starting the display manager).
  * Implement rootpw --iscrypted.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 14:54:06 +0000

kickseed (0.2) hoary; urgency=low

  * Add Standards-Version: field.
  * Force debconf priority to critical.
  * Implement 'timezone', having fixed base-config to make timezone
    preseeding easier.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Feb 2005 16:52:56 +0000

kickseed (0.1) hoary; urgency=low

  * Initial release. This is still very experimental, doesn't implement all
    of Kickstart, is probably unable to do a completely automated
    installation yet, and can only read Kickstart files from the initrd.
    Nevertheless, it works as far as it goes.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  4 Feb 2005 13:47:19 +0000
